{
	"comments": [
		"This file contains a list of control object types (aka. 'catalog').",
		"Each type is described by an object,",
		"which must contain at least the following parameters:",
		"  - name: unique identifier of the type",
		"  - shape: one of the following supported shapes:",
		"      - rectangle",
		"      - checkerboard2x2",
		"      - chevron",
		"      - circular_disk",
		"      - cylinder",
		"      - sphere",
		"      - round_corner_cube_prism",
		"Depending on 'shape', the following parameters must/may be specified:",
		"  - rectangle:",
		"      - length: length in meters",
		"      - width: width in meters",
		"  - checkerboard2x2:",
		"      - square_length: length of a square of the checkerboard in meters",
		"  - circular_disk:",
		"      - diameter: diameter in meters",
		"      - offset: offset in meters, e.g. reflector constant (optional)",
		"  - chevron:",
		"      - outside_edge_length: length of the two outer edges in meters",
		"      - thickness: thickness in meters",
		"  - cylinder:",
		"      - diameter: diameter in meters",
		"      - height: height in meters",
		"  - sphere:",
		"      - diameter: diameter in meters",
		"  - round_corner_cube_prism:",
		"      - diameter: diameter in meters",
		"      - offset: offset in meters, e.g. reflector constant (optional)",
		"Optional parameters:",
		"    - description: string describing the object",
		"    - surface_type: surface material type (either 'retro_reflective_foil' or 'diffuse')"
	],
	"types": [{
			"name": "Rectangle 60x30",
			"description": "Rectangle (60cm x 30cm)",
			"shape": "rectangle",
			"length": 0.6,
			"width": 0.3
		},
		{
			"name": "Rectangle 80x40",
			"description": "Rectangle (80cm x 40cm)",
			"shape": "rectangle",
			"length": 0.8,
			"width": 0.4
		},
		{
			"name": "Checkerboard2x2 30",
			"description": "Checkerboard (square length: 30cm)",
			"shape": "checkerboard2x2",
			"square_length": 0.3
		},
		{
			"name": "Checkerboard2x2 50",
			"description": "Checkerboard (square length: 50cm)",
			"shape": "checkerboard2x2",
			"square_length": 0.5
		},
		{
			"name": "Chevron 24''/4''",
			"description": "Chevron (a=24''; b=4'')",
			"shape": "chevron",
			"outside_edge_length": 0.6096,
			"thickness": 0.1016
		},
		{
			"name": "Circular Disk 50",
			"description": " Circular Disk (diameter: 50cm)",
			"shape": "circular_disk",
			"diameter": 0.5,
			"surface_type": "diffuse"
		},
		{
			"name": "RIEGL flat reflector 50 mm",
			"description": "flat circular reflector from retro-reflective foil",
			"shape": "circular_disk",
			"diameter": 0.05,
			"offset": 0.0,
			"surface_type": "retro_reflective_foil"
		},
		{
			"name": "RIEGL flat reflector 100 mm",
			"description": "flat circular reflector from retro-reflective foil",
			"shape": "circular_disk",
			"diameter": 0.1,
			"offset": 0.0,
			"surface_type": "retro_reflective_foil"
		},
		{
			"name": "RIEGL flat reflector 150 mm",
			"description": "flat circular reflector from retro-reflective foil",
			"shape": "circular_disk",
			"diameter": 0.15,
			"offset": 0.0,
			"surface_type": "retro_reflective_foil"
		},
		{
			"name": "RIEGL cylindrical reflector 50 mm",
			"description": "cylindrical reflector from retro-reflective foil",
			"shape": "cylinder",
			"diameter": 0.05,
			"height": 0.05,
			"surface_type": "retro_reflective_foil"
		},
		{
			"name": "RIEGL cylindrical reflector 100 mm",
			"description": "cylindrical reflector from retro-reflective foil",
			"shape": "cylinder",
			"diameter": 0.1,
			"height": 0.1,
			"surface_type": "retro_reflective_foil"
		},
		{
			"name": "Sphere 200 mm",
			"description": "Sphere (diameter: 200 mm)",
			"shape": "sphere",
			"diameter": 0.2
		},
		{
			"name": "Corner Cube Prism 50 mm",
			"description": "round corner cube prism",
			"shape": "round_corner_cube_prism",
			"diameter": 0.05,
			"offset": 0.0
		}
	]
}